# Interface Items

#### Hierarchy

- Items

#####
Index

### Properties

categories
color
id
label
shortDesc
svgClassName
svgStyle
url
value

## Properties

### categories

categories: string[]

An array of category strings corresponding to the tag cloud items. This allows highlighting and filtering of items.

### color

color: string

The color of the text. Will be overridden by any color defined in the style option. The default value comes from the CSS and varies based on theme.

### id

id: any

The item id should be set by the application if the DataProvider is not being used. The row key will be used as id in the DataProvider case.

### label

label: string

The text of the item.

### shortDesc

shortDesc: null | string

The description of the item. This is used for customizing the tooltip text.

### svgClassName

svgClassName: string

The CSS style class defining the style of the item text.

### svgStyle

svgStyle: object

The CSS style object defining the style of the item text. Only SVG CSS style properties are supported. The default value comes from the CSS and varies based on theme.

#### Deprecated

Since 15.0.0. This is not recommended in the Redwood design system.

### url

url: string

The url this item references.

### value

value: number

The value of this item which will be used to scale its font-size within the tag cloud.

Generated using TypeDoc